<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextMultipleKey Method (Int32, LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextMultipleKey is identical to MoveFirstMultipleKey(Int32, LockingInfo). Otherwise, move the cursor to the next key/data pair of the database, and store that pair and as many ensuing key/data pairs that can fit in a buffer the size of BufferSize in CurrentMultipleKey. In the presence of duplicate key values, the keys of CurrentMultipleKey may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNextMultipleKey(
    	int BufferSize,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextMultipleKey ( _
    	BufferSize As Integer, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextMultipleKey(
    	int BufferSize,
    	LockingInfo^ info
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextMultipleKey Overload
BerkeleyDB Namespace